- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions | List of all members
pdftron::PDF::Print Class Reference

`#include <Print.h>`

## Static Public Member Functions
static void | StartPrintJob (PDFDoc &in_pdfdoc, const UString &in_printerName, const UString &in_jobName, const UString &in_outputFileName, PageSet *in_pagesToPrint=NULL, PrinterMode *in_printerMode=NULL, volatile bool *in_cancel=NULL, OCG::Context *in_context=NULL)
static void | StartPrintJob (PDFDoc &in_pdfdoc, const char *in_printerName, const char *in_jobName, const char *in_outputFileName, PageSet *in_pagesToPrint=NULL, PrinterMode *in_printerMode=NULL, volatile bool *in_cancel=NULL, OCG::Context *in_context=NULL)

## Detailed Description

Definition at line 23 of file Print.h.

## Member Function Documentation

static void pdftron::PDF::Print::StartPrintJob | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_printerName,
|  | const UString & | in_jobName,
|  | const UString & | in_outputFileName,
|  | PageSet * | in_pagesToPrint = `NULL`,
|  | PrinterMode * | in_printerMode = `NULL`,
|  | volatile bool * | in_cancel = `NULL`,
|  | OCG::Context * | in_context = `NULL`
| ) |  |
| static

(Windows Only) Print the PDFDoc to a printer. Depending on the OS and installed libraries, the PDFDoc will be sent using the GDI or the XPS print path. This function will block until the print job is done at the OS level.

Note
  If the printer is grayscale, only grayscale data will be sent.

Parameters

  in_pdfdoc | the PDFDoc to be printed
  in_printerName | the name of the printer to print to
  in_jobName | the name of the job for print queue monitoring, can be empty.
  in_outputFileName | if not empty, the name of the output file to save the printout into. This could be a PostScript, PCL, XPS or other file.
  in_pagesToPrint | a PageSet specifying which pages to print.
  in_printMode | options for the printer, see the PrinterMode class below.
  in_cancel | set this to true to cancel the print job.
  in_context | (Optional) Optional Content Group setting, for example from PDFViewCtrl::GetOCGContext.

Returns
  void. Throws a trn::Common::Exception on failure.

static void pdftron::PDF::Print::StartPrintJob | ( | PDFDoc & | in_pdfdoc,
|  | const char * | in_printerName,
|  | const char * | in_jobName,
|  | const char * | in_outputFileName,
|  | PageSet * | in_pagesToPrint = `NULL`,
|  | PrinterMode * | in_printerMode = `NULL`,
|  | volatile bool * | in_cancel = `NULL`,
|  | OCG::Context * | in_context = `NULL`
| ) |  |
| static

(Windows Only) Print the PDFDoc to a printer. Depending on the OS and installed libraries, the PDFDoc will be sent using the GDI or the XPS print path. This function will block until the print job is done at the OS level.

Note
  Same functionality as other StartPrintJob but with char * types for printer name, job name, output file name
  If the printer is grayscale, only grayscale data will be sent.

Parameters

  in_pdfdoc | the PDFDoc to be printed
  in_printerName | the name of the printer to print to
  in_jobName | the name of the job for print queue monitoring, can be empty.
  in_outputFileName | if not empty, the name of the output file to save the printout into. This could be a PostScript, PCL, XPS or other file.
  in_pagesToPrint | a PageSet specifying which pages to print.
  in_printMode | options for the printer, see the PrinterMode class below.
  in_cancel | set this to true to cancel the print job.
  in_context | (Optional) Optional Content Group setting, for example from PDFViewCtrl::GetOCGContext.

Returns
  void. Throws a trn::Common::Exception on failure.

The documentation for this class was generated from the following file:

- PDF/Print.h